Subject: bug#32423: 27.0.50; Compilation fails when sh points to zsh

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Aug 2018 20:42:54 +0300

> From: Tino Calancha <[email-masked]>
> Date: Sun, 12 Aug 2018 02:28:23 +0900
> 
> 
> I started to suffer this recently (~ since this month).
> When
> bin/sh points to /bin/zsh
> 
> I get an zsh parse error as follows:
> 
> make[2]: Entering directory '/home/calancha/soft/emacs-master/admin/grammars'
> make[2]: Nothing to be done for 'all'.
> make[2]: Leaving directory '/home/calancha/soft/emacs-master/admin/grammars'
> zsh:8: parse error near `done'
> make[2]: Entering directory '/home/calancha/soft/emacs-master/leim'
> make[2]: Nothing to be done for 'all'.
> make[2]: Leaving directory '/home/calancha/soft/emacs-master/leim'
> Makefile:338: recipe for target 'compile-clean' failed

In the marked line:

compile-clean:
        @cd $(lisp) && \
        elcs=`echo "${SUBDIRS_REL} " | sed -e 's|/\./|/|g' -e 's|/\. | |g' -e 's| |/*.elc |g'`; \
        for el in `echo $$elcs | sed -e 's/\.elc/\.el/g'`; do \
          if test -f "$$el" || test ! -f "$${el}c"; then :; else \
            echo rm "$${el}c"; \
            rm "$${el}c"; \
          fi \  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
        done

there should be a semi-colon after "fi", I believe.  If you make that
change, does the problem go away for you?